%if 0%{?el7}
%define dist .el7
%endif

%{!?_unitdir: %global _unitdir /lib/systemd/system}
%{!?_tmpfilesdir:%global _tmpfilesdir %{_prefix}/lib/tmpfiles.d}
%global _hardened_build 1

Name: nagios
Version: 4.1.1
Release: 1%{?dist}
Summary: Host/service/network monitoring program
#Epoch: 5

Packager : Django <django@mailserver.guru> 
Distribution: CentOS 7

Group: Applications/System
# angularjs MIT
# d3.js BSD
# jquery MIT
# MapieRSS GPLv2
License: GPLv2 and MIT and BSD
URL: http://www.nagios.org/
Source0: http://downloads.sourceforge.net/nagios/%{name}-%{version}.tar.gz
Source1: nagios.logrotate
Source2: nagios.htaccess
Source3: nagios.internet.cfg
Source4: nagios.htpasswd
Source5: nagios.upgrade_to_v4.ReadMe
Source6: nagios.upgrade_to_v4.sh
# PNG files from the old nagios-0010-Added-several-images-to-the-sample-config.patch
Source10: printer.png
Source11: router.png
Source12: switch.png

Source999: nagios-notify.php
Source1000: nagios.service
Source1001: nagios.tmpfiles.conf
Source1002: nagios.ramdisk

Source2001: angular-1.3.9.zip
Source2002: bootstrap-3.3.0-dist.zip
Source2003: d3-3.5.3.zip

# Sent upstream
Patch1: nagios-0001-Fix-installation-of-httpd-conf.d-config-file.patch
Patch2: nagios-0002-4.x-Install-config-files-too.patch
# Sent upstream
Patch3: nagios-0003-4.x-Fix-path-to-CGI-executables.patch
Patch4: nagios-0004-Fixed-path-to-passwd-file-in-Apache-s-config-file.patch
Patch5: nagios-0005-Added-several-images-to-the-sample-config-revb.patch
Patch6: nagios-0006-Fixed-strange-permissions.patch
Patch7: nagios-0007-Add-cfg_dir-etc-nagios-conf.d-to-the-main-nagios-con.patch

Patch1000: http://ftp.momo-i.org/pub/security/nagios/patches/nagios-jp-%{version}.patch.gz
Patch1001: nagios-4.1.1-location.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: gd-devel > 1.8, mailx, libjpeg-devel, libpng-devel
%if 0%{?el6}
BuildRequires: unzip
%endif
BuildRequires: dos2unix
BuildRequires: gperf

Requires: httpd
Requires: php
Requires: mailx
%if 0%{?fedora} >= 20 || 0%{?rhel} >= 7
Requires(post): systemd
Requires(preun): systemd
Requires(postun): systemd
%else
Requires(preun): initscripts, chkconfig
Requires(post): initscripts, chkconfig
Requires(postun): initscripts
%endif

Requires: nagios-common
Requires: user(nagios)
Requires(pre): user(nagios)
Requires: group(nagios)
Requires(pre): group(nagios)

### Font ###
#%if 0%{?fedora} >= 14
#Requires: sazanami-gothic-fonts
#%endif
#%if 0%{?rhel} >= 5
#Requires: ipa-gothic-fonts
#%endif
###

%description
Nagios is a program that will monitor hosts and services on your
network.  It has the ability to send email or page alerts when a
problem arises and when a problem is resolved.  Nagios is written
in C and is designed to run under Linux (and some other *NIX
variants) as a background process, intermittently running checks
on various services that you specify.

The actual service checks are performed by separate "plugin" programs
which return the status of the checks to Nagios. The plugins are
available at http://sourceforge.net/projects/nagiosplug.

This package provides the core program, web interface, and documentation
files for Nagios. Development files are built as a separate package.

%package common
Group: Applications/System
Summary: Provides common directories, uid and gid among nagios-related packages
Requires(pre): shadow-utils
Requires(post): shadow-utils
Provides: user(nagios)
Provides: group(nagios)


%description common
Provides common directories, uid and gid among nagios-related packages.


%package devel
Group: Applications/System
Summary: Provides include files that Nagios-related applications may compile against
Requires: %{name} = %{epoch}:%{version}-%{release}


%description devel
Nagios is a program that will monitor hosts and services on your
network. It has the ability to email or page you when a problem arises
and when a problem is resolved. Nagios is written in C and is
designed to run under Linux (and some other *NIX variants) as a
background process, intermittently running checks on various services
that you specify.

This package provides include files that Nagios-related applications
may compile against.

%package classic-ui
Group: Applications/System
Summary: Classic UI for Nagios frontend
Requires: %{name} = %{epoch}:%{version}-%{release}

%description classic-ui
%{summary}.

%package plugins-notify
Group: Applications/System
Summary: Japanese notification mail script
Requires: %{name} = %{epoch}:%{version}-%{release}
Requires: php
Requires: php-swift-Swift

%description plugins-notify
%{summary}.

%prep
%setup -q
%patch1 -p1 -b .fix_httpd_conf_d
%patch2 -p1 -b .install_config
%patch3 -p1 -b .fix_path_to_cgi
%patch4 -p1 -b .fix_path_to_passwd
%patch5 -p1 -b .more_images
%patch6 -p1 -b .fix_perms
%patch7 -p1 -b .conf_d
#%patch1000 -p1
#%patch1001 -p1

# Japanese patch
#%if 0%{?fedora} >= 14
#sed -i 's#@sysconfdir@/font/font.ttf#%{_datadir}/fonts/sazanami/gothic/sazanami-gothic.ttf#g;' \
#    sample-config/cgi.cfg.in
#%endif
#%if 0%{?rhel} >= 5
#sed -i 's#@sysconfdir@/font/font.ttf#%{_datadir}/fonts/ipa-gothic/ipag.ttf#g;' \
#    sample-config/cgi.cfg.in
#%endif

sed -i 's|Options None|Options None +FollowSymLinks|g;' sample-config/httpd.conf.in

install -p -m 0644 %{SOURCE10} %{SOURCE11} %{SOURCE12} html/images/logos/

# 
sed -i 's,/var/nagios/ramcache,%{_localstatedir}/spool/%{name},g' nagios.sysconfig

# /usr/local/nagios is hardcoded in many places
sed -i 's,CommandFile="/usr/local/nagios/var/rw/nagios.cmd,CommandFile="%{_localstatedir}/spool/%{name}/cmd/nagios.cmd,g' contrib/eventhandlers/disable_active_service_checks contrib/eventhandlers/submit_check_result contrib/eventhandlers/disable_notifications contrib/eventhandlers/enable_notifications contrib/eventhandlers/enable_active_service_checks

sed -i 's,SubmitCmd="/usr/local/nagios/libexec/eventhandlers/submit_check_result_via_nsca",SubmitCmd="/usr/local/nagios/libexec/eventhandlers/submit_check_result_via_nsca",g' contrib/eventhandlers/distributed-monitoring/obsessive_svc_handler
sed -i 's,NscaBin="/usr/local/nagios/libexec/send_nsca",NscaBin="%{_libdir}/%{name}/plugins/send_nsca",g' contrib/eventhandlers/distributed-monitoring/submit_check_result_via_nsca
sed -i 's,NscaCfg="/usr/local/nagios/etc/send_nsca.cfg",NscaCfg="%{_sysconfdir}/%{name}/send_nsca.cfg",g' contrib/eventhandlers/distributed-monitoring/submit_check_result_via_nsca
sed -i 's,NagiosHost="nagioshost",NagiosHost="localhost",g' contrib/eventhandlers/distributed-monitoring/submit_check_result_via_nsca

sed -i 's,eventhandlerdir="/usr/local/nagios/libexec/eventhandlers",eventhandlerdir="%{_libdir}/%{name}/plugins/eventhandlers",g' contrib/eventhandlers/redundancy-scenario1/handle-master-host-event contrib/eventhandlers/redundancy-scenario1/handle-master-proc-event

sed -i 's,@VERSION@,%{version},' %{SOURCE999}

find . -type f | xargs dos2unix

%{__mv} -f README.asciidoc README

%if 0%{?el6}
%{__mv} -f %{SOURCE2001} html/angularjs/
%{__mv} -f %{SOURCE2002} html/
%{__mv} -f %{SOURCE2003} html/
%endif

%build
%configure \
    --prefix=%{_datadir}/%{name} \
    --exec-prefix=%{_localstatedir}/lib/%{name} \
    %if 0%{?rhel} <= 6
    --with-init-dir=%{_initrddir} \
    %endif
    --with-cgiurl=/%{name}/cgi-bin/ \
    --with-htmlurl=/%{name} \
    --with-lockfile=%{_localstatedir}/run/%{name}/%{name}.pid \
    --libdir=%{_libdir}/%{name} \
    --with-nagios-user=nagios \
    --with-nagios-grp=nagios \
    --bindir=%{_sbindir} \
    --libexecdir=%{_libdir}/%{name}/plugins \
    --sysconfdir=%{_sysconfdir}/%{name} \
    --localstatedir=%{_localstatedir}/log/%{name} \
    --datadir=%{_datadir}/%{name}/html \
    --with-checkresult-dir=%{_localstatedir}/spool/%{name}/checkresults \
    --with-gd-lib=%{_libdir} \
    --with-gd-inc=%{_includedir} \
    --enable-event-broker \
	--with-template-objects \
	--with-template-extinfo \
    STRIP=/bin/true
make %{?_smp_mflags} all
make %{?_smp_mflags} -C contrib

sed -i -e "s|resource.cfg|private/resource.cfg|g" \
	-e "s|command_file=/var/log/nagios/rw/nagios.cmd|command_file=%{_localstatedir}/spool/%{name}/cmd/nagios.cmd|g" \
	-e "s|temp_file=/var/log/nagios/nagios.tmp|temp_file=%{_localstatedir}/spool/%{name}/nagios.tmp|g" \
	-e "s|object_cache_file=/var/log/nagios/objects.cache|object_cache_file=%{_localstatedir}/spool/%{name}/objects.cache|g" \
	-e "s|precached_object_file=/var/log/nagios/objects.precache|precached_object_file=%{_localstatedir}/spool/%{name}/objects.precache|g" \
	-e "s|status_file=/var/log/nagios/status.dat|status_file=%{_localstatedir}/spool/%{name}/status.dat|g" \
	-e "s|query_socket=/var/log/nagios/rw/nagios.qh|query_socket=%{_localstatedir}/spool/%{name}/rw/nagios.qh|g" \
	sample-config/nagios.cfg

sed -e "s|/usr/lib/|%{_libdir}/|" %{SOURCE2} > %{name}.htaccess
cp -f %{SOURCE3} internet.cfg
echo >> html/stylesheets/common.css


%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} INIT_OPTS="" INSTALL_OPTS="" COMMAND_OPTS="" CGIDIR="%{_libdir}/%{name}/cgi-bin" CFGDIR="%{_sysconfdir}/%{name}" fullinstall
mv -f contrib/README contrib/README.contrib

# relocated to sbin (Fedora-specific)
install -d -m 0755 %{buildroot}%{_bindir}
mv %{buildroot}%{_sbindir}/nagiostats %{buildroot}%{_bindir}/nagiostats

install -d -m 0755 %{buildroot}%{_sysconfdir}/%{name}/private
mv %{buildroot}%{_sysconfdir}/%{name}/resource.cfg %{buildroot}%{_sysconfdir}/%{name}/private/resource.cfg

install -d -m 0755 %{buildroot}%{_sysconfdir}/%{name}/conf.d/
install -D -m 0644 %{SOURCE4} %{buildroot}%{_sysconfdir}/%{name}/passwd

install -d -m 0755 %{buildroot}%{_localstatedir}/run/%{name}

# Install header-file
install -D -m 0644 include/locations.h %{buildroot}%{_includedir}/%{name}/locations.h

# Install logrotate rule
install -D -m 0644 %{SOURCE1} %{buildroot}%{_sysconfdir}/logrotate.d/%{name}

# Make room for event-handlers
install -d -m 0755 %{buildroot}%{_libdir}/%{name}/plugins/eventhandlers
install -D -m 0755 %{SOURCE999} %{buildroot}%{_libdir}/%{name}/plugins/notify.php

install -d -m 0775 %{buildroot}%{_localstatedir}/spool/%{name}/cmd

# Fix httpd.conf
sed -i -e "s,%{_libdir}/%{name}/cgi-bin,/%{name}/cgi-bin,g" \
	-e "s,%{_sbindir},%{_libdir}/%{name}/cgi-bin,g" \
	%{buildroot}%{_sysconfdir}/httpd/conf.d/%{name}.conf

sed -i -e "s,%{_libdir}/%{name}/cgi-bin,/%{name}/cgi-bin,g" \
	-e "s,%{_sbindir},%{_libdir}/%{name}/cgi-bin,g" \
	%{buildroot}%{_datadir}/%{name}/html/config.inc.php

# create need directory
install -d -m 0755 %{buildroot}%{_var}/spool/%{name}/rw
install -d -m 2755 %{buildroot}%{_var}/spool/%{name}/checkresults

# ramcache
install -d -m 0755 %{buildroot}%{_sysconfdir}/sysconfig
#mkdir -p %{buildroot}%{_localstatedir}/cache/nagios
install -D -m 0644 nagios.sysconfig %{buildroot}%{_sysconfdir}/sysconfig/%{name}

# traceroute.cgi
install -D -m 0755 contrib/traceroute.cgi %{buildroot}%{_libdir}/%{name}/cgi-bin/traceroute.cgi

# convertcfg
install -D -m 0755 contrib/convertcfg %{buildroot}%{_bindir}/convertcfg

# classicui
cp -rf html/stylesheets %{buildroot}%{_datadir}/%{name}/html/stylesheets-classicui
cp -rf contrib/exfoliation/images %{buildroot}%{_datadir}/%{name}/html/images-classicui
mv -f %{buildroot}%{_datadir}/%{name}/html/stylesheets %{buildroot}%{_datadir}/%{name}/html/stylesheets-default
mv -f %{buildroot}%{_datadir}/%{name}/html/images %{buildroot}%{_datadir}/%{name}/html/images-default

# eventhandler
cp -rf contrib/eventhandlers/* %{buildroot}%{_libdir}/%{name}/plugins/eventhandlers/

# copy initscript for systemd
%{__cp} -rp %{buildroot}%{_initrddir}/%{name} nagios.init

# systemd
%if 0%{?fedora} >= 20 || 0%{?rhel} >= 7
mkdir -p %{buildroot}%{_libexecdir}/nagios
install -D -m 0644 %{SOURCE1000} %{buildroot}%{_unitdir}/nagios.service
install -d -m 755 %{buildroot}%{_tmpfilesdir}
install -D -m 0644 %{SOURCE1001} %{buildroot}%{_tmpfilesdir}/nagios.conf
install -D -m 0755 %{SOURCE1002} %{buildroot}%{_libexecdir}/%{name}/ramdisk
rm -rf %{buildroot}%{_initrddir}
%endif

%{__mv} -f html/d3/LICENSE LICENSE.d3

%clean
rm -rf %{buildroot}


%pre common
getent group nagios >/dev/null || groupadd -r nagios
getent passwd nagios >/dev/null || useradd -r -g nagios -d %{_localstatedir}/spool/%{name} -s /bin/bash nagios
exit 0

%post classic-ui
if [ $1 -eq 1 ] ; then
	# Initial installation
	rm -f %{_datadir}/%{name}/html/images %{_datadir}/%{name}/html/stylesheets
	ln -sf %{_datadir}/%{name}/html/images-classicui %{_datadir}/%{name}/html/images
	ln -sf %{_datadir}/%{name}/html/stylesheets-classicui %{_datadir}/%{name}/html/stylesheets
fi

%preun classic-ui
if [ $1 -eq 0 ] ; then
	# Package removal, not upgrade
	rm -f %{_datadir}/%{name}/html/images %{_datadir}/%{name}/html/stylesheets
	ln -sf %{_datadir}/%{name}/html/images-default %{_datadir}/%{name}/html/images
	ln -sf %{_datadir}/%{name}/html/stylesheets-default %{_datadir}/%{name}/html/stylesheets
fi

%preun
%if 0%{?fedora} >= 20 || 0%{?rhel} >= 7
	if [ $1 -eq 0 ] ; then
		# Package removal, not upgrade
		systemctl --no-reload disable %{name}.service > /dev/null 2>&1 || :
		systemctl stop %{name}.service > /dev/null 2>&1 || :
		rm -f %{_datadir}/%{name}/html/images %{_datadir}/%{name}/html/stylesheets
	fi
%else
if [ $1 = 0 ]; then
    /sbin/service %{name} stop > /dev/null 2>&1 || :
    /sbin/chkconfig --del %{name} || :
fi
%endif

%post
%{_sbindir}/usermod -a -G %{name} apache || :

%if 0%{?fedora} >= 20 || 0%{?rhel} >= 7
	if [ $1 -eq 1 ] ; then
		# Initial installation
		systemctl preset %{name}.service >/dev/null 2>&1 || :
	fi
	if [ ! -f %{_datadir}/%{name}/html/images ] ; then
		ln -sf %{_datadir}/%{name}/html/images-default %{_datadir}/%{name}/html/images
	fi
	if [ ! -f %{_datadir}/%{name}/html/stylesheets ] ; then
		ln -sf %{_datadir}/%{name}/html/stylesheets-default %{_datadir}/%{name}/html/stylesheets
	fi
%else
	/sbin/chkconfig --add %{name} > /dev/null 2>&1 || :
	/sbin/service httpd condrestart > /dev/null 2>&1 || :
%endif

%postun
%if 0%{?fedora} >= 20 || 0%{?rhel} >= 7
	systemctl daemon-reload >/dev/null 2>&1 || :
	if [ $1 -ge 1 ] ; then
		# Package upgrade, not uninstall
		systemctl try-restart %{name}.service >/dev/null 2>&1 || :
	fi
%else
	/sbin/service httpd condrestart > /dev/null 2>&1 || :
%endif

%files
%dir %{_libdir}/%{name}/plugins/eventhandlers
%dir %{_libdir}/%{name}/cgi-bin
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/html
%doc %{_datadir}/%{name}/html/docs
%doc Changelog INSTALLING README UPGRADING
%doc internet.cfg contrib/README.contrib
%if 0%{?fedora} >= 20 || 0%{?rhel} >= 7
%doc nagios.init
%endif
%{!?_licensedir:%global license %%doc}
%license LICENSE LICENSE.d3
%{_datadir}/%{name}/html/[^d]*
%dir %{_datadir}/%{name}/html/d3
%{_datadir}/%{name}/html/d3/*
%exclude %{_datadir}/%{name}/html/*-classicui
%{_sbindir}/*
%{_bindir}/*
%{_libdir}/%{name}/cgi-bin/*cgi
%if 0%{?fedora} >= 20 || 0%{?rhel} >= 7
%{_unitdir}/nagios.service
%{_tmpfilesdir}/%{name}.conf
%attr(0755,root,root) %{_libexecdir}/%{name}/ramdisk
%else
%{_initrddir}/nagios
%endif
%config(noreplace) %{_sysconfdir}/httpd/conf.d/nagios.conf
%config(noreplace) %{_sysconfdir}/logrotate.d/%{name}
%config(noreplace) %{_sysconfdir}/%{name}/*cfg
%config(noreplace) %{_sysconfdir}/%{name}/objects/*cfg
%attr(0750,root,nagios) %dir %{_sysconfdir}/%{name}/private
%attr(0750,root,nagios) %dir %{_sysconfdir}/%{name}/objects
%attr(0750,root,nagios) %dir %{_sysconfdir}/%{name}/conf.d
%attr(0640,root,nagios) %config(noreplace) %{_sysconfdir}/%{name}/private/resource.cfg
%attr(0640,root,apache) %config(noreplace) %{_sysconfdir}/%{name}/passwd
%attr(0640,root,apache) %config(noreplace) %{_datadir}/%{name}/html/config.inc.php
%attr(2775,nagios,nagios) %dir %{_localstatedir}/spool/%{name}/cmd
%attr(2775,nagios,nagios) %dir %{_localstatedir}/spool/%{name}/checkresults
%attr(0750,nagios,nagios) %dir %{_localstatedir}/log/%{name}
%attr(0750,nagios,nagios) %dir %{_localstatedir}/log/%{name}/archives
%attr(0750,nagios,nagios) %dir %{_localstatedir}/spool/%{name}/rw
#%attr(0755,nagios,nagios) %dir %{_localstatedir}/cache/nagios
%attr(0755,nagios,nagios) %dir %{_localstatedir}/run/%{name}
%config(noreplace) %{_sysconfdir}/sysconfig/%{name}
%{_libdir}/%{name}/plugins/eventhandlers/*

%files common
%dir %{_sysconfdir}/%{name}
%dir %{_libdir}/%{name}
%dir %{_libdir}/%{name}/plugins
%attr(0755,nagios,nagios) %dir %{_localstatedir}/spool/%{name}

%files devel
%{_includedir}/%{name}
%{_libdir}/%{name}/*.a

%files classic-ui
%{_datadir}/%{name}/html/*-classicui

%files plugins-notify
%{_libdir}/%{name}/plugins/notify.php

%changelog
* Fri Oct 30 2015 Django <django@mailserver.guru> 4.1.1-1
FIXES                                                    
 - CGI Could not read object configuration data (broken by error in 4.1.0)
 -  exclude (!) not working (broken by mis-applied fix for 4.1.0)         

* Fri Aug 21 2015 Django <django@mailserver.guru> 4.1.0-1
ENHANCEMENTS                                             
 - Promoted JSON CGIs to released status (Eric Stanley)  
 - New graphical CGI displays: statusmap, trends, histogram (Eric Stanley)
 - Make sticky status for acks and comments configurable enhancement #20 (Trevor McDonald / Scott Wilkerson)
 - Add host_down_disable_service_checks directive to nagios.cfg #44 (Trevor McDonald / Scott Wilkerson)     
 - httpd.conf doesn't support Apache versions > 2.3 (DanielB / John Frickson)                               

FIXES
 - Fix for not all service dependencies created (John Frickson)
 - Fix SIGSEGV with empty custom variable (orbis / John Frickson)
 -  Fix contact macros in environment variables (dvoryanchikov)  
 - Fixed host's current attempt goes to 1 after going to hard state (John Frickson)
 - Fixed two bugs/problems: Replace use of %zd in base/utils.c & incorrect va_start() in cgi/jsonutils.c (Peter Eriksson)
 - Fixed: Let remove_specialized actually remove all workers (Phil Mayers)
 - Fixed log file spam caused when using perfdata command directives in nagios.cfg (shashikanthbussa)
 - Fixed off-by-one error in bounds check leads to segfault (Phil Mayers)
 - Added links for legacy graphical displays (Eric Stanley)
 - Update embedded URL's to https versions of Nagios websites (scottwilkerson)
 - Fixed doxygen comments to work with latest doxygen 1.8.9.1 #30 (Trevor McDonald)
 - Fixed makefile target "html" to PHONY to fix GitHub issue #28 (Trevor McDonald)
 - Fixed typo as per GitHub issue #27 (Trevor McDonald)
 - Fixed jsonquery.php 404 not found error, and disabled Send Query button until form populates #43 (Scott Wilkerson)
 - Fixed linking in Tactical Overview for several of the Host entries in Featured section #48 (Scott Wilkerson)
 - Fixed passing limit and sort options to pagination and sort links #42 (Scott Wilkerson)
 - Added form field for icon URL and clean-up when it changes in CGI Status Map. (Eric Stanley)
 - Added options to cgi.cfg to uncheck sticky and send when acknowledging a problem (Trevor McDonald)
 - Low impact changes to automate the generation of RPMs from nagios.spec file. (T.J. Yang)
 - Update index.php (Trevor McDonald)
 - Fixed escaping of corewindow parameter to account for possible XSS injection (Scott Wilkerson)
 - Typo correction (T.J. Yang)
 - Make getCoreStatus respect cgi_base_url (Moritz Schlarb)
 - Adjusted map layout to work within frames (Eric Stanley)
 - Fixed map displays are now the full size of browser window (Eric Stanley)
 - Fixed labels and icons on circular markup no longer scale on zoom (Eric Stanley)
 - Got all maps except circular markup working with icons (Eric Stanley)
 - Fixes to make legacy CGIs work again. (Eric Stanley)
 - Fixes to make all/html target tolerant of being run multiple times (Eric Stanley)
 - For user-supplied maps, converted node group to have transform (Eric Stanley)
 - Fixed issue transitioning from circular markup map to other maps (Eric Stanley)
 - Fix displayForm to trigger on the buttom press (Scott Wilkerson)
 - Fix fo getBBox crash on Firefox (Eric Stanley)
 - Fixed map now resets zoom when form apply()'d (Eric Stanley)
 - Fixed so close box on dialogs actually closes dialog (Eric Stanley)
 - Corrected directive in trends display (Eric Stanley)
 - Fixed minor issue with link in trends linkes (Eric Stanley)
 - Fixed issue with map displaying on Firefox (Eric Stanley)
 - Added exclusions for ctags generation (Eric Stanley)
 - Update map-popup.html (Scott Wilkerson)
 - Initial commit of new graphical CGIs (Eric Stanley)
 - Fixed Github bug #18 - archivejson.cgi returns wrong host for state change query (Eric Stanley)
 - Status JSON: Added next_check to service details (Eric Stanley)
 - Fixed escaping of keys for scalar values in JSON CGIs (Eric Stanley)
 - build: Include <sys/loadavg.h> if it exists. (Eric J. Mislivec)
 - lib-tests: test-io{cache|broker} need -lsocket to link. (Eric J. Mislivec)
 - lib-tests: test-runcmd assumes GNU echo. (Eric J. Mislivec)
 - lib-tests: Signal handlers don't return int on most platforms, and using a cast was the wrong way to resolve this. (Eric J. Mislivec)
 - Fix some type/format mismatch warnings for pid_t. (Eric J. Mislivec)
 - Fix build on Solaris. (Eric J. Mislivec)
 - runcmd: Fix build when we don't HAVE_SETENV. (Eric J. Mislivec)
 - Fixed checkresult output processing (Eric Mislivec)
 - Corrected escaping of long output macros (Eric Mislivec)
 - Fixed null pointer dereferences in archive JSON (Eric Stanley)
 - Fixed memory overwrite issue in JSON string escaping (Eric Stanley)
 - JSON CGI: Now escaping object and array keys (Eric Stanley)

KNOWN ISSUES
 - New map does not account for multiple parents, leaving "legacy" map as an option in the menu

* Tue Feb 17 2015 Django <django@mailserver.guru> 4.0.8-2
 - rebuild with nagios-common

* Thu Jan 22 2015 Django <django@mailserver.guru> 4.0.8-1
 - Initial build for CentOS 7

